Get Order
curl --request GET \
--url https://production.trackstarhq.com/wms/orders/{order_id} \
--header 'x-trackstar-access-token: <x-trackstar-access-token>' \
--header 'x-trackstar-api-key: <x-trackstar-api-key>'import requests
url = "https://production.trackstarhq.com/wms/orders/{order_id}"
headers = {
"x-trackstar-api-key": "<x-trackstar-api-key>",
"x-trackstar-access-token": "<x-trackstar-access-token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
'x-trackstar-api-key': '<x-trackstar-api-key>',
'x-trackstar-access-token': '<x-trackstar-access-token>'
}
};
fetch('https://production.trackstarhq.com/wms/orders/{order_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "order_id",
"warehouse_customer_id": "warehouse_customer_id",
"warehouse_id": "warehouse_id",
"created_date": "2022-01-01T00:00:00Z",
"updated_date": "2022-01-02T05:05:05Z",
"reference_id": "order_reference_id",
"order_number": "order_number",
"status": "open",
"raw_status": "raw_status",
"channel_object": {
"channel_id": "channel_id",
"channel_name": "channel_name"
},
"type": "d2c",
"trading_partner": "Target",
"service_level": "Standard",
"shipping_method_id": "fedex_ground",
"shipping_method_name": "FedEx Ground",
"carrier_id": "fedex",
"carrier_name": "FedEx",
"scac": "<string>",
"is_third_party_freight": false,
"third_party_freight_account_number": "123456",
"first_party_freight_account_number": "123456",
"invoice_currency_code": "USD",
"total_price": 13.49,
"total_tax": 1.5,
"total_discount": 2.5,
"total_shipping": 3.5,
"ship_to_address": {
"full_name": "John Doe",
"company": "Company",
"address1": "123 Main St",
"address2": "Apt 2",
"address3": "Floor 3",
"city": "New York",
"state": "NY",
"postal_code": "10001",
"country": "United States",
"phone_number": "123-456-7890",
"email_address": "johndoe@example.com"
},
"line_items": [
{
"product_id": "product_id",
"sku": "sku",
"quantity": 1,
"unit_price": 10.99,
"discount_amount": 1.5
}
],
"tags": [
"tag_0"
],
"required_ship_date": "2021-01-01T12:00:00Z",
"saturday_delivery": false,
"signature_required": false,
"international_duty_paid_by": "sender",
"shipments": [
{
"shipment_id": "shipment_id",
"warehouse_id": "wh_id",
"shipped_date": "2022-05-06T01:02:03Z",
"raw_status": "raw_status",
"status": "shipped",
"line_items": [
{
"inventory_item_id": "item_id",
"sku": "sku",
"quantity": 1,
"parent_product_id": null
}
],
"ship_to_address": {
"full_name": "John Doe",
"company": "company",
"address1": "address1",
"address2": "address2",
"address3": "address3",
"city": "city",
"state": "state",
"postal_code": "postal_code",
"country": "country"
},
"ship_from_address": {
"address1": "address1",
"address2": "address2",
"address3": "address3",
"city": "city",
"state": "state",
"postal_code": "postal_code",
"country": "country"
},
"packages": [
{
"package_id": "package_id",
"package_name": "package_name",
"tracking_number": "tracking_number",
"tracking_url": "tracking_url",
"shipping_method_id": "shipping_method_id",
"shipping_method_name": "shipping_method_name",
"carrier_id": "carrier_id",
"carrier_name": "carrier_name",
"scac": "scac",
"shipping_cost": 1,
"measurements": {
"length": 1,
"width": 1,
"height": 1,
"unit": "in",
"weight": 1,
"weight_unit": "lb"
},
"line_items": [
{
"inventory_item_id": "item_id",
"sku": "sku",
"quantity": 1,
"lot_id": "lot_id",
"expiration_date": "2022-06-06T01:02:03Z",
"parent_product_id": null
}
]
}
]
}
],
"external_system_url": "https://example.com/order/123",
"trackstar_tags": [
"tag1",
"tag2",
{
"tag3": "value3"
}
],
"additional_fields": {
"key": "value"
},
"trackstar_created_date": "2023-11-07T05:31:56Z",
"trackstar_updated_date": "2023-11-07T05:31:56Z"
}
}{
"error": "<string>",
"id": "<string>"
}{
"error": "<string>",
"detail": {
"<location>": {
"<field_name>": [
"<string>"
]
}
}
}Orders
Get Order
Returns a single Order for the WMS connection with the associated order id.
GET
/
wms
/
orders
/
{order_id}
Get Order
Headers
Your organization-level Trackstar API key.
Example:
"<x-trackstar-api-key>"
Your user's access token for a specific integration (ShipHero, Extensiv, etc).
Example:
"<x-trackstar-access-token>"
Path Parameters
Response
Successful response
Show child attributes
Show child attributes
⌘I